org.omg.CORBA

## Interface VM_TRUNCATABLE

-     public interface VM_TRUNCATABLE

  Defines the code used to represent a truncatable value type in a typecode. A value type is truncatable if it inherits "safely" from another value type, which means it can be cast to a more general inherited type. This is one of the possible results of the `type_modifier` method on the `TypeCode` interface.
  See Also:
    `TypeCode`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `value` The value representing a truncatable value type in a typecode.

- - ### Field Detail

    - #### value

          static final short value

      The value representing a truncatable value type in a typecode.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.